Package net.shibboleth.idp.attribute.resolver.dc.storage

# Interface StorageMappingStrategy

All Superinterfaces:
  `MappingStrategy<StorageRecord<?>>`

All Known Implementing Classes:
  `ScriptedStorageMappingStrategy`, `SimpleStorageMappingStrategy`

public interface StorageMappingStrategy extends MappingStrategy<StorageRecord<?>>
Strategy for mapping from a `StorageRecord` to a collection of `IdPAttribute` objects.

Since:
  4.1.0

## Method Summary

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.MappingStrategy

`map`